Canon 5DIV and MAC v10.15

Started 9 months ago | Discussions thread
ForumParentFirstPrevious
Flat view
mbloof
mbloof Senior Member • Posts: 1,402
Canon 5DIV and MAC v10.15

Ok silly me. I thought I'd upgrade my late 2013 era MAC to a modern model.

While I've gotten most of the software I use to load on the new machine, my CD with Canon 5D4 software will not load on my new MAC with v10.15! This is frustrating as my old MAC is also running v10.15 (upgraded over the years from Maverics).

Any tricks to get Canon software to run on MAC v10.15?

Thanks in advance,

-- hide signature --

- Mark0

 mbloof's gear list:mbloof's gear list
Canon EOS 5D Mark II Canon EOS 50D Canon EOS 400D Canon EOS 5D Mark IV Canon EF 20mm f/2.8 USM +12 more
Pentax Optio V10
If you believe there are incorrect tags, please send us this post using our feedback form.
ForumParentFirstPrevious
Flat view
Post (hide subjects) Posted by
ForumParentFirstPrevious
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark MMy threads
Color scheme? Blue / Yellow